## ros-kinetic-thormang3-manager 0.2.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(thormang3_manager)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  robotis_controller
  thormang3_feet_ft_module
  thormang3_base_module
  thormang3_action_module
  thormang3_head_control_module
  thormang3_manipulation_module
  thormang3_walking_module
  thormang3_gripper_module
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS
    roscpp
    robotis_controller
    thormang3_feet_ft_module
    thormang3_base_module
    thormang3_action_module
    thormang3_head_control_module
    thormang3_manipulation_module
    thormang3_walking_module
    thormang3_gripper_module
)

################################################################################
# Build
################################################################################
include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(thormang3_manager src/thormang3_manager.cpp)
add_dependencies(thormang3_manager ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(thormang3_manager ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS thormang3_manager
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-thormang3-manager (0.2.0-0xenial) xenial; urgency=high

  * modified build option and dependencies configuration
  * modified cmake & package setting for yaml-cpp
  * changed depend pkg for catkin dependencies and package.xml format to v2
  * changed include path for dependencies and license to Apache v2
  * changed node setting
  * changed gazebo mode to false
  * upgrade walking algorism
  * Contributors: Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 26 Mar 2018 15:00:00 -0000

ros-kinetic-thormang3-manager (0.1.3-0xenial) xenial; urgency=high

  * updated cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-thormang3-manager (0.1.2-0xenial) xenial; urgency=high

  * edited action file and dxl_init
  * reupload ft yaml
  * added function for action_editor to action_module
  * findpackage build_depend module msgs added
  * added control_cycle value.
  * upgrade walking balance control
  * manager parameter modified
  * manipulation & gripper module clean up
  * merged develop with feature_walking_upgrade
  * minor bug fixed
  * deleted old config
  * updated ft_data.yaml
  * initialize ftdata and offset data
  * wholebody inipose added
  * updated thormang3_head_control_module : scan lidar using range
  * wholebody balance gain update
  * gripper debug
  * manager modified
  * gripper module added
  * merge with wholebody
  * wholebody added
  * Contributors: Jay Song, Zerom, Kayman, SCH

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-thormang3-manager (0.1.1-0xenial) xenial; urgency=high

  * package name changed
    imu_3dm_gx4 -> thormang3_imu_3dm_gx4
  * Contributors: Jay-Song

 -- Pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

ros-kinetic-thormang3-manager (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified package information for release
  * a bug fixed
    test on real robot and fix bug
  * merged remote-tracking branch 'remotes/origin/develop' into walking_upgrade
  * modified motion_module_tutorial / sensor_module_tutorial
  * ROS C++ coding style is applied
  * file name changed
  * thormang3_manager : ROS C++ Coding Style is applied
  * ROS c++ coding stylie is applying, first thormang3_kinematics_dynamics complete
  * modify thormang3_manager.launch for real robot
  * added thormang3_action_module
  * fixed high CPU consumption due to busy waits
  * launch param name changed.
  * gazebo_robot_name changed.
  * Contributors: Alexander Stumpf, Jay Song, Zerom, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-thormang3-manager
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-robotis-controller, ros-kinetic-roscpp, ros-kinetic-thormang3-action-module, ros-kinetic-thormang3-base-module, ros-kinetic-thormang3-feet-ft-module, ros-kinetic-thormang3-gripper-module, ros-kinetic-thormang3-head-control-module, ros-kinetic-thormang3-manipulation-module, ros-kinetic-thormang3-walking-module
Homepage: http://wiki.ros.org/thormang3_manager
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-robotis-controller, ros-kinetic-roscpp, ros-kinetic-thormang3-action-module, ros-kinetic-thormang3-base-module, ros-kinetic-thormang3-description, ros-kinetic-thormang3-feet-ft-module, ros-kinetic-thormang3-gripper-module, ros-kinetic-thormang3-head-control-module, ros-kinetic-thormang3-imu-3dm-gx4, ros-kinetic-thormang3-manipulation-module, ros-kinetic-thormang3-walking-module
Description: This package describes robot manager to execute THORMANG3's motion modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-thormang3-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
